package com.muyu.domain.basic.abstracts;

/**
 * @PackageName:com.muyu.domain.basic.abstracts
 * @ClassName:DataTaskAbstracts
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/9/8 19:18
 */
public class DataTaskHandler {

    private static final ThreadLocal<Object> threadLocal = new ThreadLocal<>();

    public static void set(final Object dataValue) {
        threadLocal.set(dataValue);
    }

    public static <T> T get() {
        return (T) threadLocal.get();
    }

    public static void remove(){
        threadLocal.remove();
    }

}
