package com.muyu.task.feign.config;

import feign.Request;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @PackageName:com.muyu.task.feign.config
 * @ClassName:A
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/9/9 12:05
 */
@Configuration
public class CustomFeignConfig {

    @Bean
    public Request.Options options() {
        // 设置连接超时和读取超时时间，单位为毫秒
        return new Request.Options(5000, 10000);
    }
}
