package com.muyu.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.Structure;
import com.muyu.service.StructureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @PackageName:com.muyu.controller
 * @ClassName:TextController
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/24 20:45
 */
@RestController
@RequestMapping("/structure")
public class StructureController {

    @Autowired
    private StructureService structureService;

    @GetMapping("/findStructureList")
    public Result<List<Structure>> findStructureList(@RequestParam Integer tableId) {
        List<Structure> structureList = structureService.findStructureList(tableId);
        return Result.success(structureList);
    }
}
