//package com.muyu.task;
//
///**
// * @PackageName:com.muyu.task
// * @ClassName:SementTask
// * @Description:
// * @author: ￥陈思豪￥
// * @date: 2024/9/5 19:57
// */
//
//import com.muyu.common.core.domain.Result;
//import com.muyu.domain.DataValue;
//import com.muyu.domain.taskenum.Weight;
//import com.muyu.task.feign.DataValueClient;
//import jakarta.annotation.Resource;
//import lombok.extern.log4j.Log4j2;
//import org.jetbrains.annotations.NotNull;
//import org.springframework.beans.factory.annotation.Autowired;
//
//import java.util.HashMap;
//import java.util.List;
//
//@Log4j2
//public class SegmentTask implements Runnable, Comparable<SegmentTask> {
//
//
//    @Resource
//    private DataValueClient dataValueClient;
//
//    private final String sql;
//    private final Long basicId;
//    private final Long tableId;
//    private final Weight weight;
//    HashMap<String, String> map = new HashMap<>();
//
//    public SegmentTask(String sql, Long basicId, Long tableId, HashMap<String, String> map, Weight weight) {
//        this.sql = sql;
//        this.basicId = basicId;
//        this.tableId = tableId;
//        this.map=map;
//        this.weight = weight;
//    }
//
//    @Override
//    public void run() {
//
//        log.info("开始执行任务：" + basicId + " " + sql + " " + weight + " " + tableId, tableId);
//        // 查询数据
//        Result tableValue = dataValueClient.findTableValue(basicId, sql);
//        log.info("远程调用完毕，调用的值为{}",tableValue.getData());
//        List<List<DataValue>> data = (List<List<DataValue>>) tableValue.getData();
//        log.info("查询结果：{}", data);
//        for (List<DataValue> datum : data) {
//            for (DataValue dataValue : datum) {
//                String key = dataValue.getKey();
//                String newKey = map.get(key);
//                dataValue.setKey(newKey);
//            }
//        }
//        log.info("开始添加：{}",data);
//
//        Result result = dataValueClient.addTableDataValue(basicId, tableId, data);
//        log.info("添加完毕字段：{}",result);
//        // 处理结果
////        dataValueList.accept(tableValue.getData());
//
//
//    }
//
//    public Weight geWeight() {
//        return weight;
//    }
//
//
//    @Override
//    public int compareTo(@NotNull SegmentTask o) {
//        return Integer.compare(o.weight.getWeight(), this.weight.getWeight());
//    }
//}
//
