package com.muyu.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * @PackageName:com.muyu.domain
 * @ClassName:aaA
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/23 18:53
 */
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
@SuperBuilder
public class Structure extends BaseEntity {
    private Integer id;
    private Integer tableId;
    private String columnName;
    private String columnRemark;
    private String isPrimary;
    private String columnType;
    private String javaType;
    private String columnLength;
    private String columnDecimals;
    private String isNull;
    private String defaultValue;
    private String isDictionary;
    private String dictionaryTable;
}
