package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @PackageName:com.muyu.domain
 * @ClassName:TableInfo
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/26 11:38
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class TableInfo extends BaseEntity {
    private Integer id;
    private String basicId;
    private String tableName;
    private String tableRemark;
    private String type;
    private String dataNum;
    private String center;
    private String parentId;

    @TableField(exist = false)
    private List<TableInfo> tableInfoList;
}
